﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows.Interactivity;
using Syncfusion.Windows.Controls.Grid;
using Syncfusion.Windows.Data;
using System.Windows;

namespace SyncfusionGDC
{
    class ButtonClickBehavior : Behavior<Button>
    {
        protected override void OnAttached()
        {
            this.AssociatedObject.Click += new System.Windows.RoutedEventHandler(AssociatedObject_Click);
        }

        void AssociatedObject_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            GridDataControl dataGrid = this.AssociatedObject.Tag as GridDataControl;
            BusinessObjects b = dataGrid.SelectedItem as BusinessObjects;
            if (MessageBox.Show("Do you want to delete?", "Confirm delete", MessageBoxButton.OKCancel) == MessageBoxResult.OK)
            {
                ((SyncfusionGDC.ViewModel)(this.AssociatedObject.DataContext)).GDCSource.Remove(b);
            }
        }
    }
}
